using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Financial
{
    /// <summary>
    /// 财务 - 其他款项
    /// 雷怡 2023-08-15 15:13
    /// </summary>
    [SugarTable("Fin_OtherPrice")]
    public class Fin_OtherPrice:EntityBase
    {
        /// <summary>
        /// 团组Id
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "int")]
        public int Diid { get; set; }

        /// <summary>
        /// 费用名称
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "varchar(100)")]
        public string? PriceName { get; set; }
        
        /// <summary>
        /// 费用金额 
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "decimal(10,2)")]
        public decimal Price { get; set; }

        /// <summary>
        /// 币种Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int CurrencyId { get; set; }

        /// <summary>
        /// 币种汇率
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "decimal(10,4)")]
        public decimal DayRate { get; set; }

        /// <summary>
        /// 付款类型
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int PayType { get; set; }

        /// <summary>
        /// 退款标识
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int RefundType { get; set; }
    }
}
